Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.udo.cs.miningmart.storedProcedures
Class EMF

    java.lang.Object
      edu.udo.cs.miningmart.storedProcedures.EMF

    public class EMF

extends java.lang.Object

Version:
  $Id: EMF.java,v 1.5 2006/09/27 15:00:02 euler Exp $
Author:
  Martin Scholz

Constructor Summary
`EMF(BusinessDbConnectionSource dbc, java.lang.String source, java.lang.String time, java.lang.String column, java.lang.String target, java.lang.String timeOut, java.lang.String valueOut, double headWeight, double tailWeight, int distance)` Constructor

Method Summary
`void` | `calc()` Method calc() reads from the column(s) specified in the constructor and writes to the specified target, using windowing
`static void` | `dbEMA(java.lang.Object dbc, java.lang.String inputTable, java.lang.String timeAttrIn, java.lang.String valueAttrIn, java.lang.String outputTable, java.lang.String timeAttrOut, java.lang.String valueAttrOut, double headWeight, double tailWeight, int distance)` This function has to be used in the database as a stored procedure for calculating an EMA.
`protected double` | `getHeadWeight()`
`protected edu.udo.cs.miningmart.storedProcedures.OutputColumnset` | `getOutputColumnset()`
`protected double` | `getTailWeight()`
`protected Windowing` | `getWindow()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EMF

    public EMF(BusinessDbConnectionSource dbc,
               java.lang.String source,
               java.lang.String time,
               java.lang.String column,
               java.lang.String target,
               java.lang.String timeOut,
               java.lang.String valueOut,
               double headWeight,
               double tailWeight,
               int distance)
        throws java.sql.SQLException,
               TimeOperatorException

  Constructor

  Parameters:
    `dbc` - source of database connection if not used as stored procedure
    `source` - source table
    `time` - time column of source table
    `column` - value column of source table
    `target` - name of the target table to be created
    `timeOut` - name of the output time attribute
    `valueOut` - name of the output value attribute
    `headWeight` - the head weight parameter
    `tailWeight` - the tail weight parameter
    `distance` - step size for windowing
  Throws:
    `java.sql.SQLException`
    `TimeOperatorException`

Method Detail

### getWindow

    protected Windowing getWindow()

### getOutputColumnset

    protected edu.udo.cs.miningmart.storedProcedures.OutputColumnset getOutputColumnset()

### getHeadWeight

    protected double getHeadWeight()

### getTailWeight

    protected double getTailWeight()

### calc

    public void calc()
              throws TimeOperatorException

  Method calc() reads from the column(s) specified in the constructor and writes to the specified target, using windowing.

  Throws:
    `TimeOperatorException`

### dbEMA

    public static void dbEMA(java.lang.Object dbc,
                             java.lang.String inputTable,
                             java.lang.String timeAttrIn,
                             java.lang.String valueAttrIn,
                             java.lang.String outputTable,
                             java.lang.String timeAttrOut,
                             java.lang.String valueAttrOut,
                             double headWeight,
                             double tailWeight,
                             int distance)
                      throws java.sql.SQLException,
                             TimeOperatorException

  This function has to be used in the database as a stored procedure for calculating an EMA.

  Throws:
    `java.sql.SQLException`
    `TimeOperatorException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005